/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcontent.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import org.springframework.format.annotation.NumberFormat;

/**
 *   清单及控制价编审Entity
 * @author ssrh
 * @version 2018-06-05
 */
public class WorkContentCtrlprice extends DataEntity<WorkContentCtrlprice> {
	
	private static final long serialVersionUID = 1L;
	private String projectId;		// 项目id
	private String contentId;		// 工作内容ID
	private String inventoryType;		// 清单类型
	private String ctrlNum;		// 编号
	private String costName;		// 工程费用名称
    @NumberFormat(style = NumberFormat.Style.CURRENCY)
	private Double sum;		// 金额
    @NumberFormat(style = NumberFormat.Style.CURRENCY)
	private Double constructionCost;		// 安全文明施工费
    @NumberFormat(style = NumberFormat.Style.CURRENCY)
	private Double fees;		// 规费
    @NumberFormat(style = NumberFormat.Style.CURRENCY)
	private Double estimate;		// 暂估价
	private String nodeTypes;		// 节点类型
	
	public WorkContentCtrlprice() {
		super();
	}

	public WorkContentCtrlprice(String id){
		super(id);
	}

	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}
	
	public String getContentId() {
		return contentId;
	}

	public void setContentId(String contentId) {
		this.contentId = contentId;
	}
	
	public String getInventoryType() {
		return inventoryType;
	}

	public void setInventoryType(String inventoryType) {
		this.inventoryType = inventoryType;
	}
	
	@ExcelField(title="编号", align=2, sort=10)
	public String getCtrlNum() {
		return ctrlNum;
	}

	public void setCtrlNum(String ctrlNum) {
		this.ctrlNum = ctrlNum;
	}
	
	@ExcelField(title="工程费用名称", align=2, sort=11)
	public String getCostName() {
		return costName;
	}

	public void setCostName(String costName) {
		this.costName = costName;
	}
	
	@ExcelField(title="金额", align=2, sort=12)
	public Double getSum() {
		return sum;
	}

	public void setSum(Double sum) {
		this.sum = sum;
	}
	
	@ExcelField(title="安全文明施工费", align=2, sort=13)
	public Double getConstructionCost() {
		return constructionCost;
	}

	public void setConstructionCost(Double constructionCost) {
		this.constructionCost = constructionCost;
	}
	
	@ExcelField(title="规费", align=2, sort=14)
	public Double getFees() {
		return fees;
	}

	public void setFees(Double fees) {
		this.fees = fees;
	}
	
	@ExcelField(title="暂估价", align=2, sort=15)
	public Double getEstimate() {
		return estimate;
	}

	public void setEstimate(Double estimate) {
		this.estimate = estimate;
	}
	
	@ExcelField(title="节点类型", align=2, sort=16)
	public String getNodeTypes() {
		return nodeTypes;
	}

	public void setNodeTypes(String nodeTypes) {
		this.nodeTypes = nodeTypes;
	}
	
}